import service from '@/utils/request'
const api = {
  // 文章api
  getArticleList: data => {
    return service({
      url: '/article/list',
      method: 'get',
      params: data
    })
  },
  addArticle: data => {
    return service({
      url: '/article',
      method: 'post',
      data
    })
  },
  editArticle: data => {
    return service({
      url: '/article',
      method: 'put',
      data
    })
  },
  deleteFunc: data => {
    return service({
      url: '/article',
      method: 'delete',
      data
    })
  }
}
export default api
